org.apache.felix.ipojo.annotations

## Annotation Type Context

    @Target(value={METHOD,ANNOTATION_TYPE,PARAMETER,FIELD})
    public @interface Context

Injects the bundle context object.

Author:
  Felix Project Team

### Optional Element Summary

Optional Elements
`Context.Source` `value` Sets which bundle context object needs to be injected.

### Element Detail

#### value

    public abstract Context.Source value

Sets which bundle context object needs to be injected.

Default:
  org.apache.felix.ipojo.annotations.Context.Source.COMPONENT